Page MenuHomePhabricator

[Story] List of Forms (UI)
Closed, ResolvedPublic

Description

On a Lexeme page we would like to see a list of Forms of the Lexeme,
so we can see all Forms of a Lexeme.

Each Form should have a representation ( 'goes' ) and a ID ( 'F1' ).

  • Cucumber:

    When I am on a Lexeme page
     Then List for Forms should be there
     And for each Form there is a representation and an ID
     And each representation enclosed in tag having lang attribute with "some language" as a value

    Related Objects

    StatusAssignedTask
    OpenNone
    Resolved Addshore
    Resolved Addshore
    Resolved Addshore
    ResolvedLydia_Pintscher
    ResolvedLydia_Pintscher
    ResolvedLydia_Pintscher
    ResolvedLydia_Pintscher
    ResolvedLydia_Pintscher
    Resolveddaniel
    ResolvedLydia_Pintscher
    Resolveddaniel
    ResolvedNone
    Resolvedthiemowmde
    ResolvedJakob_WMDE
    ResolvedJakob_WMDE
    ResolvedWMDE-leszek
    ResolvedWMDE-leszek
    ResolvedWMDE-leszek
    DuplicateNone
    ResolvedWMDE-leszek
    ResolvedJakob_WMDE

    Event Timeline

    Jonas renamed this task from List for Forms to [Story] List for Forms.Mar 15 2017, 2:24 PM

    @Jonas: Which software project should be associated to this task?

    Jonas updated the task description. (Show Details)Mar 20 2017, 12:00 PM
    Jonas added a subscriber: Jan_Dittrich.
    Jonas updated the task description. (Show Details)Mar 24 2017, 7:41 AM

    Change 344409 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
    [mediawiki/extensions/WikibaseLexeme@master] Add LexemeForms class and render it in LexemeFormsView

    https://gerrit.wikimedia.org/r/344409

    thiemowmde triaged this task as Normal priority.Mar 26 2017, 11:48 AM

    Change 344969 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
    [mediawiki/extensions/WikibaseLexeme@master] Add LexemeFormId and render it via LexemeFormsView

    https://gerrit.wikimedia.org/r/344969

    Change 344409 merged by jenkins-bot:
    [mediawiki/extensions/WikibaseLexeme@master] Add LexemeForms class and render it in LexemeFormsView

    https://gerrit.wikimedia.org/r/344409

    Change 344969 merged by jenkins-bot:
    [mediawiki/extensions/WikibaseLexeme@master] Add LexemeFormId and render it via LexemeFormsView

    https://gerrit.wikimedia.org/r/344969

    WMDE-leszek added a subscriber: WMDE-leszek.

    From Backlog straight to Done, that's quite a progress :)
    More seriously: I can't see browser tests covering the functionality mentioned here (a.k.a. "acceptance criteria"), so this should be back in Doing IMO (if not in the Backlog).

    Change 345586 had a related patch set uploaded (by Jonas Kress (WMDE)):
    [mediawiki/extensions/WikibaseLexeme@master] Add language attribute and Form ID class to Form of a Lexeme

    https://gerrit.wikimedia.org/r/345586

    Change 345589 had a related patch set uploaded (by Jonas Kress (WMDE)):
    [mediawiki/extensions/WikibaseLexeme@master] Add browsertests for List of Forms

    https://gerrit.wikimedia.org/r/345589

    Change 345589 abandoned by Jonas Kress (WMDE):
    Add browsertests for List of Forms

    https://gerrit.wikimedia.org/r/345589

    Change 345590 had a related patch set uploaded (by Jonas Kress (WMDE)):
    [mediawiki/extensions/WikibaseLexeme@master] Add browsertests for List of Forms

    https://gerrit.wikimedia.org/r/345590

    Change 345586 merged by Jonas Kress (WMDE):
    [mediawiki/extensions/WikibaseLexeme@master] Add language attribute and Form ID class to Form of a Lexeme

    https://gerrit.wikimedia.org/r/345586

    Change 345590 merged by Jakob:
    [mediawiki/extensions/WikibaseLexeme@master] Add browsertests for List of Forms

    https://gerrit.wikimedia.org/r/345590

    Lydia_Pintscher renamed this task from [Story] List for Forms to [Story] List of Forms.May 15 2017, 3:51 PM
    Lydia_Pintscher closed this task as Resolved.
    Lydia_Pintscher claimed this task.
    Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 2:50 PM
    daniel renamed this task from [Story] List of Forms to [Story] List of Forms (UI).Aug 21 2017, 4:46 PM